> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# BTC-to-Currency Exchange Rates

> This endpoint allows you to **query BTC exchange rates with other currencies**

<Tip>
  ### Tips

  * You may use this endpoint to convert the response data, which is originally in BTC, to other currencies.
</Tip>

<Note>
  ### Note

  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /exchange_rates
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /exchange_rates:
    get:
      tags:
        - Exchange Rates
      summary: BTC-to-Currency Exchange Rates
      description: >-
        This endpoint allows you to **query BTC exchange rates with other
        currencies**
      operationId: exchange-rates
      responses:
        '200':
          description: List rates
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeRates'
components:
  schemas:
    ExchangeRates:
      type: object
      properties:
        rates:
          type: object
          additionalProperties:
            type: object
            properties:
              name:
                type: string
                description: name of the currency
              unit:
                type: string
                description: unit of the currency
              value:
                type: number
                description: value of the currency
              type:
                type: string
                description: type of the currency
      example:
        rates:
          btc:
            name: Bitcoin
            unit: BTC
            value: 1
            type: crypto
          eth:
            name: Ether
            unit: ETH
            value: 20.656
            type: crypto
          ltc:
            name: Litecoin
            unit: LTC
            value: 684.945
            type: crypto
          bch:
            name: Bitcoin Cash
            unit: BCH
            value: 102.254
            type: crypto
          bnb:
            name: Binance Coin
            unit: BNB
            value: 119.846
            type: crypto
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````